<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- Data Table-->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
    <title>Food Ordering v2.5</title>
</head>

<body>
    <div class="container-fluid">
        <h1 class="text-center my-4">Danh sách đơn hàng</h2>
        <table id="table-orders" class="table table-striped table-bordered table-hover">
            <thead style="background-color: darkblue; color: azure;">
                <tr>
                    <th scope="col">STT</th>
                    <th scope="col">Mã đơn hàng</th>
                    <th scope="col">Họ và tên</th>
                    <th scope="col">Payment Method</th>
                    <th scope="col">Ngày đặt hàng</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>

</html>
<script>
    $(document).ready(function () {
        "use strict";
        /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
        const gREQUEST_STATUS_OK = 200;
        const gREQUEST_CREATE_OK = 201; // status 201 là tạo mới thành công
        const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
        const gREQUEST_DELETE_SUCCESS = 204;
        var gBASE_URL = "https://food-ordering-fvo9.onrender.com/api";
        // Biến toàn cục để hiển lưu STT
        var gSTT = 0;
        /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
        
        onPageLoading();
        $(document).on("click",".btn-edit", function(){
            console.log("Click nút sửa!");
            onBtnEditClick(this);
        })
        $(document).on("click",".btn-delete", function(){
            console.log("Click nút xóa!");
            onBtnDeleteClick(this);
        })
        
        /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
        // Hàm xử lý khi click nút sửa
        // Input là nút được click
        function onBtnEditClick(paramEdit){
            "use strict";
            var vId = $(paramEdit).data("id");
            console.log("Id của user: " + vId);
            const vDETAIL_FORM_URL = "updateUser.html";
            var vUrlOpenSiter = vDETAIL_FORM_URL + "?id=" +vId ;
            window.location.href = vUrlOpenSiter;
        }
        // Hàm xử lý khi click nút xóa
        // Input là nút được click
        function onBtnDeleteClick(paramDelete){
            "use strict";
            var vId = $(paramDelete).data("id");
            console.log("Id của user: " + vId);
        }
        function onPageLoading() {
            "use strict";
            console.log("Tải trang thành công");
            $.ajax({
                url: gBASE_URL + "/orders/",
                type: 'GET',
                dataType: 'json', // added data type
                success: function (data) {
                    console.log(data);
                    fillDataToTable(data);
                },
                error: function (loi) {
                    alert(loi.responseText);
                }
            });
        }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
        // Hàm đổ dữ liệu vào table
        // Input là dữ liệu cần đổ vào bảng
        function fillDataToTable(paramData) {
            "use strict";
            for (var bI = 0; bI < paramData.length; bI++) {
                var bRow = "";
                bRow += "<tr>";
                    bRow += "<td>" + renderSTT(gSTT) + "</td>";
                    bRow += "<td>" + paramData[bI].orderCode + "</td>";
                    bRow += "<td>" + paramData[bI].firstName +" "+ paramData[bI].lastName + "</td>";
                    bRow += "<td>" + paramData[bI].methodPayment + "</td>";
                    bRow += "<td>" + paramData[bI].createdAt + "</td>";
                    bRow += "<td><image id='edit-product-icon' src='https://cdn0.iconfinder.com/data/icons/glyphpack/45/edit-alt-512.png' style='width: 20px;cursor:pointer;' data-id='" + paramData[bI].id + "'> <image id='edit-delete-icon' src='https://cdn4.iconfinder.com/data/icons/complete-common-version-6-4/1024/trash-512.png' style='width: 20px;cursor:pointer;' data-id='" + paramData[bI].id + "'></td>";
                bRow += "</tr>";
                $("#table-orders tbody").append(bRow);
            }

        }
        //function STT
        function renderSTT(){
            gSTT ++;
            return gSTT;
        }
    })
</script>